Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- AbstractType
- AliasType
- Annotation
- BoundedTypeParamConstraint
- Class
- CommentFactory
- Constraint
- Constructor
- Def
- DocTemplateEntity
- Entity
- EqualTypeParamConstraint
- HigherKinded
- ImplicitConversion
- ImplicitInScopeConstraint
- ImplicitMemberShadowing
- IndexModelFactory
- KnownTypeClassConstraint
- LowerBoundedTypeParamConstraint
- MemberEntity
- MemberLookup
- MemberTemplateEntity
- ModelFactory
- ModelFactoryImplicitSupport
- ModelFactoryTypeSupport
- NoDocTemplate
- NonTemplateMemberEntity
- Object
- Package
- ParameterEntity
- PrivateInInstance
- PrivateInTemplate
- ProtectedInInstance
- ProtectedInTemplate
- Public
- RootPackage
- TemplateEntity
- Trait
- TreeEntity
- TreeFactory
- TypeClassConstraint
- TypeEntity
- TypeParam
- TypeParamConstraint
- UpperBoundedTypeParamConstraint
- Val
- ValueArgument
- ValueParam
- Visibility

t

scala.tools.nsc.doc.model

# CommentFactory 

###

#### trait CommentFactory extends CommentFactoryBase

The comment parser transforms raw comment strings into `Comment` objects. Call `parse` to run the parser. Note that the parser is stateless and should only be built once for a given Scaladoc run.

Self Type
  ModelFactory with CommentFactory with MemberLookup
Source
  CommentFactory.scala

Linear Supertypes
CommentFactoryBase, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommentFactory
2. CommentFactoryBase
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  sealed class CharReader extends AnyRef
   Attributes
     protected
   Definition Classes
     CommentFactoryBase
2.  final class WikiParser extends (CommentFactoryBase.this)#CharReader

   TODO

   TODO

   Attributes
     protected
   Definition Classes
     CommentFactoryBase

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     CommentFactory → CommentFactoryBase

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CommentFactory to any2stringadd[CommentFactory] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CommentFactory, B)
   Implicit
     This member is added by an implicit conversion from CommentFactory to ArrowAssoc[CommentFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def comment(sym: Global.Symbol, linkTarget: (CommentFactory.this)#DocTemplateImpl, inTpl: (CommentFactory.this)#DocTemplateImpl): Option[Comment]
9.  val commentCache: HashMap[(Global.Symbol, (CommentFactory.this)#DocTemplateImpl), Option[Comment]]
   Attributes
     protected
10.  def createComment(body0: Option[Body] = None, authors0: List[Body] = List.empty, see0: List[Body] = List.empty, result0: Option[Body] = None, throws0: Map[String, Body] = Map.empty, valueParams0: Map[String, Body] = Map.empty, typeParams0: Map[String, Body] = Map.empty, version0: Option[Body] = None, since0: Option[Body] = None, todo0: List[Body] = List.empty, deprecated0: Option[Body] = None, note0: List[Body] = List.empty, example0: List[Body] = List.empty, constructor0: Option[Body] = None, source0: Option[String] = None, inheritDiagram0: List[String] = List.empty, contentDiagram0: List[String] = List.empty, group0: Option[Body] = None, groupDesc0: Map[String, Body] = Map.empty, groupNames0: Map[String, Body] = Map.empty, groupPrio0: Map[String, Body] = Map.empty, hideImplicitConversions0: List[Body] = List.empty, shortDescription0: List[Body] = List.empty): Comment
    Definition Classes
      CommentFactoryBase
11.  def defineComment(sym: Global.Symbol, linkTarget: (CommentFactory.this)#DocTemplateImpl, inTpl: (CommentFactory.this)#DocTemplateImpl): Option[Comment]

    A comment is usually created by the parser, however for some special cases we have to give some `inTpl` comments (parent class for example) to the comment of the symbol.

    A comment is usually created by the parser, however for some special cases we have to give some `inTpl` comments (parent class for example) to the comment of the symbol. This function manages some of those cases : Param accessor and Primary constructor

12.  def ensuring(cond: (CommentFactory) ⇒ Boolean, msg: ⇒ Any): CommentFactory
    Implicit
      This member is added by an implicit conversion from CommentFactory to Ensuring[CommentFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CommentFactory) ⇒ Boolean): CommentFactory
    Implicit
      This member is added by an implicit conversion from CommentFactory to Ensuring[CommentFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): CommentFactory
    Implicit
      This member is added by an implicit conversion from CommentFactory to Ensuring[CommentFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CommentFactory
    Implicit
      This member is added by an implicit conversion from CommentFactory to Ensuring[CommentFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CommentFactory to StringFormat[CommentFactory] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def parse(comment: String, src: String, pos: Position, linkTarget: (CommentFactory.this)#DocTemplateImpl): Comment
    Attributes
      protected
27.  def parseAtSymbol(comment: String, src: String, pos: Position, site: Global.Symbol = NoSymbol): Comment

    Parses a raw comment string into a `Comment` object.

    Parses a raw comment string into a `Comment` object.

    comment

      The expanded comment string (including start and end markers) to be parsed.

    src

      The raw comment source string.

    pos

      The position of the comment in source.

    Attributes
      protected
    Definition Classes
      CommentFactoryBase
28.  def parseWiki(string: String, pos: Position, inTpl: (CommentFactory.this)#DocTemplateImpl): Body

    Parses a string containing wiki syntax into a `Comment` object.

    Parses a string containing wiki syntax into a `Comment` object. Note that the string is assumed to be clean:

    - Removed Scaladoc start and end markers.
    - Removed start-of-line star and one whitespace afterwards (if present).
    - Removed all end-of-line whitespace.
    - Only `endOfLine` is used to mark line endings.
29.  def parseWikiAtSymbol(string: String, pos: Position, site: Global.Symbol): Body

    Parses a string containing wiki syntax into a `Comment` object.

    Parses a string containing wiki syntax into a `Comment` object. Note that the string is assumed to be clean:

    - Removed Scaladoc start and end markers.
    - Removed start-of-line star and one whitespace afterwards (if present).
    - Removed all end-of-line whitespace.
    - Only `endOfLine` is used to mark line endings.
    Definition Classes
      CommentFactoryBase
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def →[B](y: B): (CommentFactory, B)
    Implicit
      This member is added by an implicit conversion from CommentFactory to ArrowAssoc[CommentFactory] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CommentFactoryBase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CommentFactory to any2stringadd[CommentFactory]

### Inherited by implicit conversion StringFormat from CommentFactory to StringFormat[CommentFactory]

### Inherited by implicit conversion Ensuring from CommentFactory to Ensuring[CommentFactory]

### Inherited by implicit conversion ArrowAssoc from CommentFactory to ArrowAssoc[CommentFactory]

### Ungrouped